#pragma once

class LFR_StateMachine;

class LFR_IState
{
 public:
    virtual void enter(LFR_StateMachine* stateMachine) = 0;
    virtual void exit(LFR_StateMachine* stateMachine) = 0;
    virtual ~LFR_IState() {}
};